# Class: Context

## Context

#### new ol.webgl.Context(canvas, gl) experimental

src/ol/webgl/context.js, line 28

  Name | Type | Description
  --- | --- | ---
  `canvas` | HTMLCanvasElement | Canvas.
  `gl` | WebGLRenderingContext | GL.

### Extends

- goog.events.EventTarget

### Methods

#### getGL(){WebGLRenderingContext} experimental

src/ol/webgl/context.js, line 165

  ##### Returns:

  GL.

#### useProgram(program){boolean} experimental

src/ol/webgl/context.js, line 253

  Name | Type | Description
  --- | --- | ---
  `program` | WebGLProgram | Program.

  ##### Returns:

  Changed.